<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for GetVehicleResult StructType
 * @subpackage Structs
 */
class GetVehicleResult extends ExecutionResult
{
    /**
     * The Vehicles
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \ArrayType\ArrayOfVehicleResult
     */
    public $Vehicles;
    /**
     * Constructor method for GetVehicleResult
     * @uses GetVehicleResult::setVehicles()
     * @param \ArrayType\ArrayOfVehicleResult $vehicles
     */
    public function __construct(\ArrayType\ArrayOfVehicleResult $vehicles = null)
    {
        $this
            ->setVehicles($vehicles);
    }
    /**
     * Get Vehicles value
     * @return \ArrayType\ArrayOfVehicleResult|null
     */
    public function getVehicles()
    {
        return $this->Vehicles;
    }
    /**
     * Set Vehicles value
     * @param \ArrayType\ArrayOfVehicleResult $vehicles
     * @return \StructType\GetVehicleResult
     */
    public function setVehicles(\ArrayType\ArrayOfVehicleResult $vehicles = null)
    {
        $this->Vehicles = $vehicles;
        return $this;
    }
}
